using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Text;
using Godot;

namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class WipeEffect:Resource  
  { 
    public static readonly FloatPropertyName wipeState = FloatPropertyName.Create( "wipeState" );
    
    [ExportGroup("Target")]
    [Export]
    public Selector selector;


    public ShaderMaterial GetMaterial( ColorRect rect )
    {
      return rect.Material as ShaderMaterial; 
    }

    public virtual void Assign( ColorRect colorRect )
    {

    }

    public virtual void SetWipeState( float state, ColorRect target )
    {}

  }
}